import java.util.LinkedList;
import java.util.List;

public class Event<A extends EventArgs> {
	private List<EventListener<A>> listeners = new LinkedList<EventListener<A>>();
	
	public void addListener(EventListener<A> listener) {
		listeners.add(listener);
	}
	
	public void removeListener(EventListener<A> listener) {
		while(listeners.remove(listener))
			;
	}
	
	public void dispatch(Object sender, A args) {
		for(EventListener<A> listener : listeners) {
			listener.onEventReceived(sender, args);
		}
	}
}
