
public class EventConsumer {
	private EventProducer producer;
	
	public EventConsumer() {
		producer = new EventProducer();
		
		producer.customEvent.addListener(new EventListener<CustomEventArgs>() {
			@Override
			public void onEventReceived(Object sender, CustomEventArgs args) {
				System.out.println("CustomEvent received");
				args.setData(true);
			}
		});
		
		producer.simpleEvent.addListener(new EventListener<EventArgs>() {
			@Override
			public void onEventReceived(Object sender, EventArgs args) {
				System.out.println("SimpleEvent received");
			}
		});
	}
	
	public void run() {
		producer.run();
	}
	
	public static void main (String[] args) {
		EventConsumer consumer = new EventConsumer();
		consumer.run ();
	}
}
